// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Linker for QD arithmetic
//
// make dll file with Visual C++2010
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating :
// *****************************************************************
mode(-1)
mainpath = get_absolute_file_path('qdlink.sci');
chdir(mainpath);

link('qd.dll','qd_a_s','c');
link('qd.dll','s_a_qd','c');
link('qd.dll','qd_a_dd','c');
link('qd.dll','dd_a_qd','c');
link('qd.dll','qd_a_qd','c');

link('qd.dll','qd_s_s','c');
link('qd.dll','s_s_qd','c');
link('qd.dll','qd_s_dd','c');
link('qd.dll','dd_s_qd','c');
link('qd.dll','qd_s_qd','c');

link('qd.dll','qd_d_scalar_multi_1','c');
link('qd.dll','qd_d_scalar_multi_2','c');
link('qd.dll','qd_m_s','c');
link('qd.dll','s_m_qd','c');
link('qd.dll','qd_dd_scalar_multi_1','c');
link('qd.dll','qd_dd_scalar_multi_2','c');
link('qd.dll','qd_m_dd','c');
link('qd.dll','dd_m_qd','c');
link('qd.dll','qd_m_qd','c');
link('qd.dll','scalar_multi_qd','c');
link('qd.dll','qd_r_s','c');
link('qd.dll','s_r_qd','c');
link('qd.dll','qd_r_dd','c');
link('qd.dll','dd_r_qd','c');
link('qd.dll','qd_r_qd','c');

link('qdip.dll','qdip','c');
link('qd_ef.dll','qdsqrt','c');
link('qdnorm.dll','qdsum','c');
link('qdnorm.dll','qdnorm_two','c');
link('renorm.dll','renorm','c');

link('qd_nc.dll','qdgauss','c');
link('qd_nc.dll','qdlu','c');
clear mainpath;
